SystemOrganization addCategory: #'TP BichOS-Test'!

TestCase subclass: #TestHormigas
	instanceVariableNames: 'juanita'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP BichOS-Test'!

!TestHormigas methodsFor: 'as yet unclassified' stamp: 'RodrigoAlvarez 9/15/2015 16:05'!
setUp

juanita:= Hormiga new.
! !

!TestHormigas methodsFor: 'as yet unclassified' stamp: 'RodrigoAlvarez 9/15/2015 16:06'!
testCuantoAlimentoLlevaJuanitaAlNacer

self assert: (juanita pesollevado )equals: 0.! !

!TestHormigas methodsFor: 'as yet unclassified' stamp: 'RodrigoAlvarez 9/15/2015 16:15'!
testJuanitaAlHornoCon5mg

juanita pesollevado: 5.

self deny: (juanita estaAlLimite )! !

!TestHormigas methodsFor: 'as yet unclassified' stamp: 'RodrigoAlvarez 9/15/2015 16:16'!
testJuanitaAlHornoCon9mg

juanita pesollevado: 9.

self assert: (juanita estaAlLimite )! !

!TestHormigas methodsFor: 'as yet unclassified' stamp: 'RodrigoAlvarez 9/15/2015 16:14'!
testJuanitaAlHornoSinLlevarCarga

juanita pesollevado: 0.

self deny: (juanita estaAlLimite  )! !

TestCase subclass: #TestHormiguero
	instanceVariableNames: 'casa juana pepa lucas juancha'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP BichOS-Test'!

!TestHormiguero methodsFor: 'as yet unclassified' stamp: 'RodrigoAlvarez 9/16/2015 16:14'!
setUp

casa:= Hormiguero new.
! !

!TestHormiguero methodsFor: 'as yet unclassified' stamp: 'RodrigoAlvarez 9/16/2015 16:19'!
testCantidadHormigasParaHormigueroConVariasHormigas
juana:= Hormiga new.
pepa:= Hormiga new.
lucas:= Hormiga new.
juancha:= Hormiga new.

casa agregarHormiga: juana.
casa agregarHormiga: pepa.
casa agregarHormiga: lucas.
casa agregarHormiga: juancha.


self assert: (casa cantidadDeHormigas ) equals: 4.! !

!TestHormiguero methodsFor: 'as yet unclassified' stamp: 'RodrigoAlvarez 9/16/2015 16:14'!
testCantidadHormigasParaHormigueroVacio

self assert: (casa cantidadDeHormigas ) equals: 0.! !

TestCase subclass: #TestRecorridos
	instanceVariableNames: 'punto1 punto2 punto3 punto0 juanita'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP BichOS-Test'!

!TestRecorridos methodsFor: 'as yet unclassified' stamp: 'RodrigoAlvarez 9/16/2015 15:21'!
setUp
juanita:= Hormiga new.

punto0:= Punto new.
punto0 latitud:0.
punto0 longitud:0.

punto1:= Punto new.
punto1 latitud: 20.
punto1 longitud: 10.

punto2:= Punto new.
punto2 latitud: 45.
punto2 longitud: 20.

punto3:= Punto new.
punto3 latitud: 34.
punto3 longitud: 5.

juanita posicion: punto0.



! !

!TestRecorridos methodsFor: 'as yet unclassified' stamp: 'RodrigoAlvarez 9/16/2015 16:03'!
testDistanciaPromedioDeJuanitaRecorriendo3Puntos

juanita irA: punto1.
juanita irA: punto2.
juanita irA: punto3.


self assert: (juanita posicion ) equals: punto3.

self assert: (juanita distanciaRecorridaPromedio  )equals:22.










 ! !

!TestRecorridos methodsFor: 'as yet unclassified' stamp: 'RodrigoAlvarez 9/16/2015 16:03'!
testDistanciaRecorridaPorJuanita

juanita irA: punto1.
juanita irA: punto2.
juanita irA: punto3.


self assert: (juanita distanciaRecorrida )equals: 67.










 ! !

!TestRecorridos methodsFor: 'as yet unclassified' stamp: 'RodrigoAlvarez 9/16/2015 15:58'!
testJuanitaRecorrio3Puntos

juanita irA: punto1.
juanita irA: punto2.
juanita irA: punto3.


self assert: (juanita posicion ) equals: punto3.

self assert: (juanita puntosRecorridos )equals: [punto1. punto2. punto3.]










 ! !
